%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	GD

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:        Perl interface to the GD graphics library
Name:           perl-%{perlname}
Version:        2.35
Release:        2
Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/search?module=GD
Source0:        http://www.cpan.org/authors/id/L/LD/LDS/GD-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

BuildRequires:  libgd-devel >= 2.0.28
BuildRequires:  libpng-devel, libjpeg-devel, freetype-devel
BuildRequires:  fontconfig-devel, libX11-devel, libXpm-devel
Requires:       libgd >= 2.0.28

%description
This is a autoloadable interface module for GD, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.

%prep
%setup -q -n %{perlname}-%{version}
%{__perl} -pi -e 's|/usr/local/bin/perl\b|%{__perl}|' \
  qd.pl demos/{*.{pl,cgi},truetype_test}
chmod -c 644 bdf_scripts/* demos/*
chmod -c 755 qd.pl


%build
perl Makefile.PL %_prefix
make OPTIMIZE="$CFLAGS"

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README README.QUICKDRAW demos/ bdf_scripts/
%{_bindir}/*
%_libdir/perl5/site_perl/*/*/auto/GD
%_libdir/perl5/site_perl/*/*/GD*
%_libdir/perl5/site_perl/*/*/qd.pl
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.35-2
- Rebuild against perl 5.10.0
* Sun Nov 26 2006 Christian Metzen <metzench@ccux-linux.de> 2.35-1
- Initial release
